package unicrawler.crawler;

import java.util.concurrent.atomic.AtomicInteger;

public class CrawlerWorkerCounter {

	private AtomicInteger mNumOfCrawlers;
	
	public CrawlerWorkerCounter(int _num) {
		// Initialize with a set amount of executors.... useful if we supported re-starting half-finished crawl from another session
		this.mNumOfCrawlers = new AtomicInteger(_num);
	}
	
	public CrawlerWorkerCounter() {
		this.mNumOfCrawlers = new AtomicInteger(0);
	}
	
	public int getNumOfCrawlers() {
		return this.mNumOfCrawlers.get();
	}
	
	public void addCrawlerCount() {
		this.mNumOfCrawlers.incrementAndGet();
	}
	
	public void minusCrawlerCount() {
		this.mNumOfCrawlers.decrementAndGet();
	}
}
