package unicrawler.downloader;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;

public class DownloaderRequest {

	private URL requestURL;
	private Map<String, String> requestHeaders;
	
	public DownloaderRequest(URL _url) {
		this.requestURL = _url;
		this.requestHeaders = new HashMap<String, String>();
	}
	
	public DownloaderRequest(String _url) {
		try {
			this.requestURL = new URL(_url);
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		this.requestHeaders = new HashMap<String, String>();
	}
	
	public URL getRequestURL() {
		return this.requestURL;
	}
	
	public String getRequestURLString() {
		return this.requestURL.toString();
	}
	
	public Map<String, String> getRequestHeaders() {
		return this.requestHeaders;
	}
	
	public boolean requestHeaderExists(String headerKey) {
		return this.requestHeaders.containsKey(headerKey);
	}
	
	public void addHeader(String key, String value) {
		this.requestHeaders.put(key, value);
	}
	
	public String getHeader(String headerKey) {
		return this.requestHeaders.get(headerKey);
	}
}
